Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | List of all members
Microscopic_Traffic_Simulator___Model.TrafficObjects.Generator Class Reference

Represents generator of cars. More...

Inheritance diagram for Microscopic_Traffic_Simulator___Model.TrafficObjects.Generator:

## Public Member Functions
virtual TimeSpan | GetTimeToNextAction (Random random)
| Returns time to generation of new ticket. More...
virtual void | PerformAction (Random random)
| Generate new car. More...

## Protected Member Functions
void | GenerateTicket (int initialSpeed)
| Generate new ticket. In case that current number of tickets is zero add generator to set of generators with tickets. More...

## Properties
bool | IsPauseScheduled`[get]`
| Checks whether the generator has the pause scheduled. Not used so returns always false. More...
int | Priority`[get]`
| Generator priority as the simulation action generator. More...
Properties inherited from Microscopic_Traffic_Simulator___Model.SimulationControl.ISimulationEventsGenerator
bool | IsPauseScheduled`[get]`
| Check whether the simulation action generator has the pause scheduled. More...
int | Priority`[get]`
| Priority determining the rank of the events which have the same time. More...

## Detailed Description

Represents generator of cars.

Definition at line 13 of file Generator.cs.

## Member Function Documentation

void Microscopic_Traffic_Simulator___Model.TrafficObjects.Generator.GenerateTicket | ( | int | initialSpeed | ) |
| protected

Generate new ticket. In case that current number of tickets is zero add generator to set of generators with tickets.

Parameters

  initialSpeed | Initial speed of car to be generated from new ticket.

Definition at line 114 of file Generator.cs.

virtual TimeSpan Microscopic_Traffic_Simulator___Model.TrafficObjects.Generator.GetTimeToNextAction | ( | Random | random | ) |
| virtual

Returns time to generation of new ticket.

Parameters

  random | Random instance used if generator is dependent on the random variables.

Returns
  Time to the next generation of new ticket.

Implements Microscopic_Traffic_Simulator___Model.SimulationControl.ISimulationEventsGenerator.

Reimplemented in Microscopic_Traffic_Simulator___Model.TrafficObjects.Sensor.

Definition at line 95 of file Generator.cs.

virtual void Microscopic_Traffic_Simulator___Model.TrafficObjects.Generator.PerformAction | ( | Random | random | ) |
| virtual

Generate new car.

Parameters

  random | Random instance which is not used.

Implements Microscopic_Traffic_Simulator___Model.SimulationControl.ISimulationEventsGenerator.

Reimplemented in Microscopic_Traffic_Simulator___Model.TrafficObjects.Sensor.

Definition at line 104 of file Generator.cs.

## Property Documentation

bool Microscopic_Traffic_Simulator___Model.TrafficObjects.Generator.IsPauseScheduled
| get

Checks whether the generator has the pause scheduled. Not used so returns always false.

Definition at line 18 of file Generator.cs.

int Microscopic_Traffic_Simulator___Model.TrafficObjects.Generator.Priority
| get

Generator priority as the simulation action generator.

Definition at line 42 of file Generator.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator - Model/TrafficObjects/Generator.cs